.splitLayout {
  display: grid;
  grid: "high low" / 1fr 1fr;
  gap: var(--spacing);
  padding: var(--spacing);
}

.pastResultsOf {
  margin: 0;
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.resultsScene>table {
  width: 100%;
  height: 100%;
}

////////////////////////////////////////////////////////////////////////////////
// Pickbans

.pickbans {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: calc(0.5 * var(--spacing));
  padding: var(--spacing);
  --card-border-radius: 0;
  --border-radius: 0;
}

$card-height: 150px;
$card-sub-height: 130px;
$card-width: 320px;

.pickbanMapBanRow {
  display: flex;
  flex-direction: row;
  gap: 12px;
  min-height: 126px;
  --avatar-size-override: 32px;

  >.card {
    width: 240px;
    height: 100px;
  }
}

.pickbanRow {
  --avatar-size-override: 32px;
  flex: 1;
  display: grid;
  grid: "low map high";
  position: relative;
  align-items: center;
  gap: 0;
}

$card-min-width: 150px;
$card-min-height: 80px;
$pick-color: green;
$ban-color: red;

.card {
  min-height: var(--card-height, $card-min-height);
  min-width: var(--card-width, $card-min-width);
  position: relative;
  padding: 0;
  margin: 0;
  user-select: none;
  border: 1px solid var(--border-color, var(--muted-border-color));
  box-shadow: var(--box-shadow);
  transition: 100ms border, var(--transition) box-shadow;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    pointer-events: none;
    border-radius: var(--card-border-radius);
  }

  &[data-has-pick="false"] {
    .img {
      opacity: 0;
    }

    &::before {
      background: black;
    }
  }

  &[data-has-pick="true"] {
    .img {
      opacity: 1;
    }
  }

  &[data-available="false"] {
    cursor: not-allowed;

    .inner {
      box-shadow: var(--box-shadow) inset;
    }

    .img,
    .itemName {
      filter: saturate(25%) brightness(25%);
    }
  }

  &[data-available="true"] {
    cursor: pointer;
  }

  &[data-high="true"],
  &[data-low="true"] {
    >.inner::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      box-shadow: 0 0 1rem 1px var(--glow-color, rgba(0, 0, 0, 0)) inset;
      border-radius: var(--card-border-radius, var(--border-radius));
      z-index: 1;
    }
  }

  &[data-winner="true"] {
    opacity: 1;
    box-shadow: 0 0 0 var(--outline-width) var(--form-element-focus-color);
    --border-color: var(--primary);
  }

  &[data-winner="false"] {
    >.inner {
      opacity: 0.66;
      filter: saturate(50%);
    }
  }

  &[data-ban="true"] {
    opacity: 0.66;

    >.inner {
      background: $ban-color;
      content: 'xxxxxxxxxxxxxxx';
    }

    >.inner>.img {
      opacity: 0.5;
    }
  }
}

.inner {
  object-fit: cover;
  position: relative;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-clip: content-box;
  border-radius: var(--card-border-radius);
  margin: 0;
  overflow: hidden;
  box-shadow: 0 0 0 rgba(0, 0, 0, 0);
  width: 100%;
  height: 100%;
}

.img {
  // border: 1px solid var(--winner-border-color, rgba(0, 0, 0, 0));
  border-radius: var(--card-border-radius);
  box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
  object-fit: cover;
  background-size: cover;
  background-position: center;
  transition: 250ms opacity;
  width: 100%;
  height: 100%;
}

.itemNameWrapper,
.signupWrapper {
  position: absolute;
  display: block;

  .pick,
  .subpick {
    .card[data-high="true"] & {
      left: 0;
    }

    .card[data-low="true"] & {
      right: 0;
    }
  }
}


.card.pick,
.card.subpick {
  &[data-high="true"] {
    .signupWrapper {
      right: 0;
      padding-bottom: 2px;
    }

    .itemNameWrapper {
      left: 0;
    }

    .itemNameWrapper, .signupWrapper {
      .signup, .itemName {
        backdrop-filter: blur(20px);
        background: rgba(255,255,255,0.56);
        &, a {
          text-shadow: 0 1px 0 white, 0 1px 3px white;
          color: black;
        }
      }
    }
  }

  &[data-low="true"] {
    .signupWrapper {
      left: 0;
    }

    .itemNameWrapper {
      right: 0;
    }

    .itemNameWrapper, .signupWrapper {
      .signup, .itemName {
        backdrop-filter: blur(20px);
        background: rgba(0,0,0,0.56);
        &, a {
          text-shadow: 0 1px 0 black, 0 1px 3px black;
          color: white;
        }
      }
    }
  }
}

.itemNameWrapper {
  bottom: 0;
}

.signupWrapper {
  top: 0;
}

.itemName,
.signup {
  z-index: 1;
  text-shadow: 0 1px 0 black, 0 1px 3px black;
  font-weight: bold;
  padding: var(--gap);
}

.signup {
  font-size: 20px;
  text-shadow: 0 1px 0 black, 0 0 3px black;
  :global(.link) {
    color: white;
  }
}

$children-height: 40px;

.children {
  position: absolute;
  right: var(--spacing);
  bottom: calc(50% - #{$children-height * 0.5});
  height: $children-height;
  width: 48px;
  z-index: 2;

  >input {
    --border-color: var(--secondary);
    margin: 0 !important;
  }
}



.card {
  width: $card-width;
  height: 100% !important;
  transition: 1s opacity, 1s transform;
  transform: translateX(0);

  &[data-next="true"] {
    opacity: 0.5;
  }

  &.hidden {
    &:not([data-next="true"]) {
      opacity: 0;

      &[data-high="true"] {
        transform: translateX(-20px);
      }

      &[data-low="true"] {
        transform: translateX(20px);
      }
    }
  }

  border: 0;
}

.pick {
  grid-area: map;
  box-shadow: 0 0 48px black;
  overflow: hidden;
  z-index: 99;

  .itemName,
  .signup {
    text-align: center;
  }
}

.ban {
  position: absolute;
  height: calc(100% - 32px) !important;

  &[data-high="true"] {
    left: calc(-1 * $card-width - 2 * var(--spacing));
  }

  &[data-low="true"] {
    right: calc(-1 * $card-width - 2 * var(--spacing));
  }
}

.subpick {
  box-shadow: var(--box-shadow);

  &[data-high="true"] {
    grid-area: high;
    text-align: right;
  }

  &[data-low="true"] {
    grid-area: low;
  }
}